<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* displaygroup-form-media.twig */
class __TwigTemplate_09a2a28df1ae11559f06571eb3d504b378093ca73996710a851177ffc8ade187 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 10
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 11
        $context["forms"] = $this->loadTemplate("forms.twig", "displaygroup-form-media.twig", 11)->unwrap();
        // line 12
        $context["inline"] = $this->loadTemplate("inline.twig", "displaygroup-form-media.twig", 12)->unwrap();
        // line 10
        $this->parent = $this->loadTemplate("form-base.twig", "displaygroup-form-media.twig", 10);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 14
    public function block_formTitle($context, array $blocks = [])
    {
        // line 15
        echo "    ";
        echo __("Associate an item from the Library");
    }

    // line 18
    public function block_formButtons($context, array $blocks = [])
    {
        // line 19
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 20
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 21
        echo __("Save");
        echo ", mediaAssignSubmit()
";
    }

    // line 24
    public function block_callBack($context, array $blocks = [])
    {
        echo "mediaDisplayGroupFormCallBack";
    }

    // line 26
    public function block_formHtml($context, array $blocks = [])
    {
        // line 27
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <div id=\"FileAssociationsAssign\" class=\"well\" data-url=\"";
        // line 29
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("displayGroup.assign.media", ["id" => $this->getAttribute(($context["displayGroup"] ?? null), "displayGroupId", [])]), "html", null, true);
        echo "\">
                <div>
                    <ul id=\"FileAssociationsSortable\">
                        ";
        // line 32
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["media"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["item"]) {
            // line 33
            echo "                        <li data-media-id=\"";
            echo twig_escape_filter($this->env, $this->getAttribute($context["item"], "id", []), "html", null, true);
            echo "\" class=\"btn btn-sm btn-default\">";
            echo twig_escape_filter($this->env, $this->getAttribute($context["item"], "name", []), "html", null, true);
            echo "<span class=\"glyphicon glyphicon-minus-sign\"></span></li>
                        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['item'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 35
        echo "                    </ul>
                </div>
            </div>
        </div>
    </div>
    <div class=\"row\">
        <div class=\"col-md-12\">
            <div class=\"XiboGrid\" id=\"";
        // line 42
        echo twig_escape_filter($this->env, twig_random($this->env), "html", null, true);
        echo "\">
                <div class=\"FilterDiv\">
                    <form onsubmit=\"false\">
                    ";
        // line 45
        echo $context["inline"]->getdropdown("type", "single", "Type", "", twig_array_merge([0 => ["type" => null, "module" => ""]], ($context["modules"] ?? null)), "type", "name");
        echo "
                    </form>
                </div>
                <div class=\"XiboData\">
                    <table id=\"mediaAssignments\" data-url=\"";
        // line 49
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("library.search"), "html", null, true);
        echo "\" class=\"table table-striped\">
                        <thead>
                        <tr>
                            <th>";
        // line 52
        echo __("Name");
        echo "</th>
                            <th>";
        // line 53
        echo __("Type");
        echo "</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "displaygroup-form-media.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  141 => 53,  137 => 52,  131 => 49,  124 => 45,  118 => 42,  109 => 35,  98 => 33,  94 => 32,  88 => 29,  84 => 27,  81 => 26,  75 => 24,  69 => 21,  65 => 20,  58 => 19,  55 => 18,  50 => 15,  47 => 14,  42 => 10,  40 => 12,  38 => 11,  32 => 10,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "displaygroup-form-media.twig", "/home/mgatv524/public_html/edurocha/views/displaygroup-form-media.twig");
    }
}
